Bug 1288827 - (python-pacpy) Review Request: python-pacpy - Calculate phase-amplitude coupling in Python
Review Request: python-pacpy - Calculate phase-amplitude coupling in Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-12-06 05:43 EST by Igor Gnatenko
Modified: 2015-12-28 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 17:58:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-06 05:43:06 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pacpy.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pacpy-1.0.1-1.fc24.src.rpm
Description: A module to calculate phase-amplitude coupling in Python.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-08 16:37:22 EST
+ license is OK (MIT)
+ license file is present, %license is used
+ latest version
+ new python template is used
+ summary and description are OK
+ no scriptlets
+ %check is present and tests pass
+ provides and requires look fine

Upstream requirements file specifies pytest and statsmodels.

You should Require: pytest also, or at least Recommend: to allow tests to run in the installed package.

statsmodels doesn't seem to be used for anything though.

rpmlint:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package is APPROVED.
Comment 2 Gwyn Ciesla 2015-12-09 08:17:37 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pacpy
Comment 3 Fedora Update System 2015-12-12 07:15:07 EST
python-pacpy-1.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-adfc82fda6
Comment 4 Fedora Update System 2015-12-13 12:22:01 EST
python-pacpy-1.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pacpy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-adfc82fda6
Comment 5 Fedora Update System 2015-12-28 17:58:46 EST
python-pacpy-1.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.